=== doc/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

clean:
	rm -f *~ .*~
	cd texinfo && ${MAKE} clean
