=== debian/changelog ===
getdp (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Sun, 24 Jun 2012 19:26:57 +0200

getdp (2.1.2~beta2~svn2364-1) unstable; urgency=low

  * Update to svn rev 2364
  * Remove unneeded patches
  * debian/rules:
       - rewrite rules for getdp-sparskit (add --disable-gmsh)
       - simplify rules
  * Update the minimal version of hdf5
  * Update dependencies to libpetsc3.2-dev & libslepc3.2-dev
  * Standards-Version updated to version 3.9.3

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Fri, 25 May 2012 08:13:31 +0200
