=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_CLEANUP_RCS            := yes

DEB_AUTO_UPDATE_ACLOCAL         := 1.11
DEB_AUTO_UPDATE_AUTOCONF        := 1

DEB_COMPRESS_EXCLUDE            := .pdf .svn

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# PETSC_DIR is the location of PETSc.
export PETSC_DIR=/usr/lib/petscdir/3.2
export PETSC_ARCH=linux-gnu-c-opt
export SLEPC_DIR=/usr/lib/slepcdir/3.2

#DEB_MAKE_ENVVARS               := -j2

#DEB_CONFIGURE_EXTRA_FLAGS := --enable-metis
DEB_CONFIGURE_EXTRA_FLAGS := 
DEB_CONFIGURE_SCRIPT_ENV  += F77="gfortran"

DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -n -e 's/\.dfsg.*$$//p')

install/getdp::
	echo "installing getdp"
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cd doc/texinfo && $(MAKE) pdf html info LC_ALL=C
	cd doc/texinfo && $(MAKE) install-info DESTDIR=$(CURDIR)/debian/tmp

install/getdp-sparskit::
	echo "installing getdp-sparskit"
	make clean
	rm -rf Common/GetDPVersion.h
	rm -rf Common/GetDPConfig.h
	$(DEB_CONFIGURE_INVOKE) $(cdbs_configure_flags) $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_CONFIGURE_USER_FLAGS) --enable-sparskit --disable-gmsh
	$(MAKE) 

	mv bin/getdp bin/getdp-sparskit

	
clean::
	find . \( -name "*.o" -o -name "*.a" \) -delete
	rm -rf bin/getdp bin/getdp-sparskit
	rm -rf Common/GetDPVersion.h
	rm -rf Common/GetDPConfig.h
	rm -rf variables configure
	rm -rf config.guess config.sub config.status config.log

.PHONY: get-orig-source
get-orig-source:
	set -ex ; \
        mkdir -p tmp ; \
        uscan --force-download --symlink --check-dirname-level 0 --destdir tmp ; \
        tar -C tmp -xzf tmp/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)-source.tgz ; \
        rm -rf tmp/getdp-$(DEB_UPSTREAM_VERSION)/contrib/Arpack ; \
        GZIP=-9 tar -C tmp -czf \
            $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
            $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION) ; \
        rm -rf tmp
